<< gmonopuls | FOSSEE_Signal_Processing_Toolbox | grpdelay >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > goertzel

# goertzel

Computes DFT using the second order Goertzel Algorithm

### Syntax

    Y = goertzel(X,INDVEC,DIM)

### Parameters

X :

  A vector matrix or n-dimensional array

INDVEC :

  The indices at which the DFT is to be computed

DIM :

  The dimension along which the algorithm is to be implemented

### Description

goertzel(X,INDVEC) Computes the DFT of X at indices INDVEC using the second order algorithm along the first non-singleton dimension. Elements of INDVEC must be positive integers less than the length of the first non-singleton dimension. If INDVEC is empty the DFT is computed at all indices along the first non-singleton dimension goertzel(X,INDVEC,DIM) Implements the algorithm along dimension DIM In general goertzel is slower than fft when computing the DFT for all indices along a particular dimension. However it is computationally more efficient when the DFT at only a subset of indices is desired

### Examples

    x=rand(1,5)
    y=goertzel(x,2)

### Authors

- Ankur Mallick

Report an issue
<< gmonopuls | FOSSEE_Signal_Processing_Toolbox | grpdelay >>